Bug 151577 - Web Inspector: Cmd-1 to Cmd-9 shortcuts should select tabs by ordinal
Summary: Web Inspector: Cmd-1 to Cmd-9 shortcuts should select tabs by ordinal
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: BJ Burg
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-11-23 17:13 PST by BJ Burg
Modified: 2015-12-01 11:51 PST (History)
8 users (show)

See Also:


Attachments
Proposed Fix (2.59 KB, patch)
2015-11-23 20:03 PST, BJ Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description BJ Burg 2015-11-23 17:13:05 PST
This would be cool, and match other tab contexts in browsers.
Comment 1 Radar WebKit Bug Importer 2015-11-23 17:13:17 PST
<rdar://problem/23652019>
Comment 2 BJ Burg 2015-11-23 20:03:20 PST
Created attachment 266108 [details]
Proposed Fix
Comment 3 WebKit Commit Bot 2015-11-24 10:22:11 PST
Comment on attachment 266108 [details]
Proposed Fix

Clearing flags on attachment: 266108

Committed r192764: <http://trac.webkit.org/changeset/192764>
Comment 4 WebKit Commit Bot 2015-11-24 10:22:14 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Joseph Pecoraro 2015-12-01 11:51:31 PST
Comment on attachment 266108 [details]
Proposed Fix

View in context: https://bugs.webkit.org/attachment.cgi?id=266108&action=review

> Source/WebInspectorUI/UserInterface/Base/Main.js:1860
> +    event.preventDefault();

Is this needed? I think the KeyboardShortcut implicitly prevents defaults by default.